<?php
namespace Claromentis\Search\Indexing\Client;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array();






interface ClientInterface
{
    public function CreateIndex($params = array());
    public function AddMapping($type, $params);
    public function Index($type, $document_id, $document_data, $params = array());
    public function Update($type, $document_id, $document_data, $params = array());
    public function Delete($type, $document_id);
    public function DeleteByQuery($type, $query);
}